org.licas.parsers.admin

## Class SecurityManagerParser

- java.lang.Object
- - org.licas.parsers.admin.SecurityManagerParser

-     public class SecurityManagerParser
      extends java.lang.Object

  This provides methods to parse security settings, for the `SecurityWebManager`, to of from XML.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityManagerParser()` Create a new instance of SecurityManagerParser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(org.licas_xml.abs.Element toParse)` Parse the XML description back into the SecurityWebManager object.
    `org.licas_xml.abs.Element` | `serialize(SecurityWebManager swManager)` Serialise the object of type SecurityWebManager into XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityManagerParser

          public SecurityManagerParser()

      Create a new instance of SecurityManagerParser.

  - ### Method Detail

    - #### serialize

          public org.licas_xml.abs.Element serialize(SecurityWebManager swManager)
                                              throws java.lang.Exception

      Serialise the object of type SecurityWebManager into XML.
      Parameters:
        `swManager` - the SecurityWebManager to serialize.
      Returns:
        an XML description of the object.
      Throws:
        `java.lang.Exception` - any error.

    - #### parse

          public void parse(org.licas_xml.abs.Element toParse)
                     throws java.lang.Exception

      Parse the XML description back into the SecurityWebManager object. This is created and stored as a global static instance and so no value is returned.
      Parameters:
        `toParse` - the XML description to parse.
      Throws:
        `java.lang.Exception` - any error.